FeatureLabelRenderer (BioJava-1.5-beta API)
Keywords: org.biojava.bio.gui.sequence.FeatureLabelRenderer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.gui.sequence
Class FeatureLabelRenderer

    java.lang.Object
      org.biojava.utils.AbstractChangeable
          org.biojava.bio.gui.sequence.FeatureLabelRenderer

All Implemented Interfaces:
  FeatureRenderer, Changeable

    public class FeatureLabelRenderer

extends AbstractChangeable
implements FeatureRenderer

Author:
  unknown, Matthew Pocock

Nested Class Summary
`static class` | `FeatureLabelRenderer.AnnotationLabelMaker`
`static interface` | `FeatureLabelRenderer.LabelMaker`
`static class` | `FeatureLabelRenderer.SourceLabelMaker`
`static class` | `FeatureLabelRenderer.TypeLabelMaker`

Field Summary
`static ChangeType` | `LABEL_MAKER`

Constructor Summary
`FeatureLabelRenderer()`
`FeatureLabelRenderer(FeatureLabelRenderer.LabelMaker labelMaker)`

Method Summary
`double` | `getDepth(SequenceRenderContext src)`
`FeatureLabelRenderer.LabelMaker` | `getLabelMaker()`
`double` | `getMinimumLeader(SequenceRenderContext src)`
`double` | `getMinimumTrailer(SequenceRenderContext src)`
`FeatureHolder` | `processMouseEvent(FeatureHolder hits, SequenceRenderContext src, MouseEvent me)`
`void` | `renderFeature(Graphics2D g, Feature feat, SequenceRenderContext src)`
`void` | `setLabelMaker(FeatureLabelRenderer.LabelMaker labelMaker)`

Methods inherited from class org.biojava.utils.AbstractChangeable
`addChangeListener, addChangeListener, generateChangeSupport, getChangeSupport, hasListeners, hasListeners, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LABEL_MAKER

    public static final ChangeType LABEL_MAKER

Constructor Detail

### FeatureLabelRenderer

    public FeatureLabelRenderer()

### FeatureLabelRenderer

    public FeatureLabelRenderer(FeatureLabelRenderer.LabelMaker labelMaker)

Method Detail

### getLabelMaker

    public FeatureLabelRenderer.LabelMaker getLabelMaker()

### setLabelMaker

    public void setLabelMaker(FeatureLabelRenderer.LabelMaker labelMaker)
                       throws ChangeVetoException

  Throws:
    `ChangeVetoException`

### getDepth

    public double getDepth(SequenceRenderContext src)

  Specified by:
    `getDepth` in interface `FeatureRenderer`

### getMinimumLeader

    public double getMinimumLeader(SequenceRenderContext src)

### getMinimumTrailer

    public double getMinimumTrailer(SequenceRenderContext src)

### renderFeature

    public void renderFeature(Graphics2D g,
                              Feature feat,
                              SequenceRenderContext src)

  Specified by:
    `renderFeature` in interface `FeatureRenderer`

### processMouseEvent

    public FeatureHolder processMouseEvent(FeatureHolder hits,
                                           SequenceRenderContext src,
                                           MouseEvent me)

  Specified by:
    `processMouseEvent` in interface `FeatureRenderer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD